summaryrefslogtreecommitdiffstats
path: root/memory/jemalloc/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'memory/jemalloc/update.sh')
-rwxr-xr-xmemory/jemalloc/update.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/memory/jemalloc/update.sh b/memory/jemalloc/update.sh
new file mode 100755
index 000000000..bd126ec8a
--- /dev/null
+++ b/memory/jemalloc/update.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+cd `dirname $0`
+
+source upstream.info
+
+rm -rf src
+git clone "$UPSTREAM_REPO" src
+cd src
+git checkout "$UPSTREAM_COMMIT"
+autoconf
+git describe --long --abbrev=40 > VERSION
+rm -rf .git .gitignore .gitattributes autom4te.cache .autom4te.cfg
+
+cd ..
+hg addremove -q src
+
+echo "jemalloc has now been updated. Don't forget to run hg commit!"